%if 0%{?fedora} >= 18
%global want_systemd 1
%global wallaby_agent_environment sysconfig/wallaby-agent-env
%else
%global want_systemd 0
%global wallaby_agent_environment sysconfig/wallaby-agent
%endif

%if (0%{?fedora} == 0 && 0%{?rhel} <= 5)
%global building_for_el5 1
%else
%global building_for_el5 0
%endif

%if (0%{?fedora} >= 17 || 0%{?rhel} >= 6)
%global wallaby_uid -u 181
%endif

%if (0%{?fedora} != 0)
%global has_sinatra 1
%else
%global has_sinatra 0
%endif

%if (0%{?fedora} >= 17)
%global ruby_abi 1.9.1
%global ruby_appropriate_install_dir %{ruby_vendorlibdir}
%global requires_ruby_devel 1
%else
%global requires_ruby_devel 0
%global ruby_abi 1.8
%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%global ruby_appropriate_install_dir %{ruby_sitelib}
%endif

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%global ruby_runtime ruby(release)
%else
%global ruby_runtime ruby(abi) = %{?ruby_abi}
%endif


%if %{building_for_el5} == 1
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif



Summary: HTCondor pool configuration service with QMF interface
Name: wallaby
Version: 0.16.4
Release: 2%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/wallaby.git
Source0: https://fedorahosted.org/releases/g/r/grid/%{name}-%{version}.tar.gz
Patch0: 0001-new-systemd-macros-BZ850363.patch
%if %{building_for_el5}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
BuildRequires: python2-devel

Requires: %{ruby_runtime}

BuildRequires: ruby
Requires: ruby-qpid-qmf >= 0.7.929717
Requires: ruby-spqr >= 0.3.6
Requires: ruby-rhubarb >= 0.4.3
Requires: ruby-wallaby = %{version}-%{release}
Requires: logrotate >= 0.3
%if %{want_systemd}
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
%else
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
%endif
BuildArch: noarch

%description
Wallaby is a configuration service for HTCondor pools.  It provides a
semantic model of HTCondor configurations, enabling administrators to
apply high-level features to groups of nodes rather than set the
values of low-level parameters in configuration files.  Wallaby also
validates configurations before deploying them, pushes out
configurations to affected nodes, keeps an inventory of running nodes,
and manages multiple versions of configurations.

%package utils
Summary: Utilities to interact with the Wallaby service
Group: Applications/System
Requires: %{ruby_runtime}
Requires: ruby-qpid-qmf >= 0.7.929717
Requires: ruby-wallaby = %{version}

%description utils
This package contains command-line utilities for updating Wallaby pool
and node configurations and interacting with the Wallaby service.

%package -n ruby-wallaby
Summary: Wallaby implementation libraries, API, and client library
Group: Applications/System
Requires: %{ruby_runtime}
Requires: ruby-irb
Requires: ruby-qpid-qmf >= 0.7.929717
Requires: ruby-spqr >= 0.3.5
Requires: ruby-rhubarb >= 0.2.6
%if %{requires_ruby_devel}
BuildRequires: ruby-devel
%endif
Provides: ruby(mrg/grid/config) = %{version}

%package -n python-wallaby
Summary: Python client library for Wallaby
Group: Applications/System
Requires: python-qpid-qmf
Provides: wallaby-python = %{version}
Obsoletes: wallaby-python <= 0.10.9

%description -n python-wallaby
This package provides a Python client library for writing programs
that interact with the Wallaby configuration service over QMF.

%if %{has_sinatra}
%package -n wallaby-http-server
Summary: Wallaby web service interface
Group: Applications/System
Requires: %{ruby_runtime}
Requires: ruby-irb
Requires: ruby-qpid-qmf >= 0.7.929717
Requires: ruby-wallaby = %{version}-%{release}
Requires: wallaby-utils = %{version}-%{release}
Requires: rubygem-sinatra

%description -n wallaby-http-server
The Wallaby HTTP server is a read-only web service gateway to Wallaby
configuration information.  
%endif

%description -n ruby-wallaby
This package provides the libraries that the Wallaby service and tools
are built on.  It also provides a client library to write Ruby
programs that interact with the Wallaby service, and the Wallaby shell
API, which facilitates writing new command-line tools that extend
Wallaby.

%prep
%setup -q

%patch0 -p1
%build

sed 's/^export //' < etc/sysconfig/wallaby-agent > etc/sysconfig/wallaby-agent-env

%install
%if %{building_for_el5}
rm -rf %{buildroot}
%endif
mkdir -p %{buildroot}/%{_unitdir}
mkdir -p %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/dbmigrate
mkdir -p %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/shell
mkdir -p %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/util
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_localstatedir}/lib/wallaby
mkdir -p %{buildroot}/%{_localstatedir}/lib/wallaby/patches
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}/%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}/%{_localstatedir}/log/wallaby
mkdir -p %{buildroot}/%{python_sitelib}/wallaby
cp -p -f bin/wallaby %{buildroot}/%{_bindir}
cp -p -f bin/wallaby-agent %{buildroot}/%{_bindir}
cp -p -f lib/mrg/grid/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid
cp -p -f lib/mrg/grid/util/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/util
cp -p -f lib/mrg/grid/config/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config
cp -p -f lib/mrg/grid/config/shell/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/shell
# These aren't packaged
rm -f %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/shell/cmd_force_pull.rb
rm -f %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/shell/cmd_force_restart.rb
# We only want the http server if we have sinatra available
%if %{has_sinatra} == 0
rm -f %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/shell/cmd_http_server.rb
%endif
cp -p -f lib/mrg/grid/config/dbmigrate/*.rb %{buildroot}/%{ruby_appropriate_install_dir}/mrg/grid/config/dbmigrate

%if %{want_systemd} == 0
cp -p -f etc/wallaby %{buildroot}/%{_initrddir}/wallaby
%else
cp -p -f etc/wallaby.service %{buildroot}/%{_unitdir}
%endif
cp -p -f etc/logrotate.d/wallaby %{buildroot}/%{_sysconfdir}/logrotate.d/wallaby
cp -p -f etc/%{wallaby_agent_environment} %{buildroot}/%{_sysconfdir}/%{wallaby_agent_environment}
cp -p -f schema/wallaby.py %{buildroot}/%{python_sitelib}/wallaby/__init__.py
cp -p -f extensions/wallaby/*.py %{buildroot}/%{python_sitelib}/wallaby

%if %{building_for_el5}
%clean
rm -rf %{buildroot}
%endif

%files
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%config(noreplace) %{_sysconfdir}/%{wallaby_agent_environment}
%config(noreplace) %{_sysconfdir}/logrotate.d/wallaby
%doc LICENSE README.rdoc TODO
%defattr(0755,wallaby,wallaby,-)
%dir %{_localstatedir}/lib/wallaby
%dir %{_localstatedir}/log/wallaby
%defattr(0755,root,root,-)
%{_bindir}/wallaby-agent
%if %{want_systemd}
%defattr(-,root,root,-)
%{_unitdir}/wallaby.service
%else
%{_initrddir}/wallaby
%endif

%pre -n ruby-wallaby
getent group wallaby >/dev/null || groupadd -r wallaby
getent group condor >/dev/null || groupadd -r condor
getent passwd wallaby >/dev/null || \
  useradd -r %{?wallaby_uid} -g condor -d %{_localstatedir}/lib/wallaby -s /sbin/nologin \
    -c "Owner of Wallaby service" wallaby
exit 0

%if %{want_systemd}
%post
%systemd_post wallaby.service

%preun
%systemd_preun wallaby.service

%postun
%systemd_postun_with_restart wallaby.service

%else
%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add wallaby

%preun
if [ $1 = 0 ] ; then
    /sbin/service wallaby stop >/dev/null 2>&1
    /sbin/chkconfig --del wallaby
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service wallaby condrestart >/dev/null 2>&1 || :
fi
%endif # want_systemd

%files utils

%if %{building_for_el5}
%defattr(-, root, root, -)
%endif

%doc LICENSE
%defattr(0755,root,root,-)
%{_bindir}/wallaby
%dir %{_localstatedir}/lib/wallaby/patches

%files -n python-wallaby

%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%{python_sitelib}/wallaby/

%files -n ruby-wallaby
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%{ruby_appropriate_install_dir}/mrg/grid/
%if %{has_sinatra}
%exclude %{ruby_appropriate_install_dir}/mrg/grid/config/shell/cmd_http_server.rb

%files -n wallaby-http-server
%{ruby_appropriate_install_dir}/mrg/grid/config/shell/cmd_http_server.rb
%endif

%changelog

* Thu Feb 13 2014 willb <willb@redhat> - 0.16.4-2
- uses new-style systemd macros (BZ850363)

* Sat Oct 5 2013 willb <willb@redhat> - 0.16.4-1
- Fixes issues related to case-insensitivity of parameter names
- Fixes issues with inventory constraints on 32-bit systems
- Fixes packaging issues on contemporary Fedora releases

* Mon Jan 7 2013 willb <willb@redhat> - 0.16.3-1
- Fixes edge cases reported in BZ 802821

* Fri Jan 4 2013 willb <willb@redhat> - 0.16.2-1
- Fixes BZs 850205, 885787, 872663, 881366
- specfile descriptions updated to reflect upstream naming changes

* Fri Oct 12 2012 willb <willb@redhat> - 0.16.1-2
- Fixes BZs 820419, 825963, 802799, and 801632 (tool support and internal bugs)
- Fixes BZ 864091 (cosmetic issue:  READ vs READ_ONLY role in list-users)
- Fixes BZ 864421 (cosmetic issue:  authentication for snapshot commands)
- Store#storeinit now requires WRITE access
- This package now uses the designated Wallaby UID on EL6 (available since RHBA-2012:0778-1)
- Test suite fixes

* Fri Oct 5 2012 willb <willb@redhat> - 0.16.1-1
- Fixes BZs 786801, 796406, 802821, 850205, 851217, and incorporates all fixes from the 0.16.0 series.

* Fri Oct 5 2012 willb <willb@redhat> - 0.16.0-9
- Fixes BZ 861055

* Thu Oct 4 2012 willb <willb@redhat> - 0.16.0-8
- Packaging fixes

* Thu Oct 4 2012 willb <willb@redhat> - 0.16.0-7
- 0.16.0-6 built without an updated changelog

* Thu Oct 4 2012 willb <willb@redhat> - 0.16.0-6
- Fixes for database migration errors coming from 0.12.5-10 (but not earlier releases); BZ 861081
- Fixes for spurious error messages in agent failure cases related to the secret file
- Fixes for various API methods with incorrect or confusing permissions

* Tue Sep 25 2012 willb <willb@redhat> - 0.16.0-5
- Addresses more issues uncovered in authentication support (incorporates the "arno" patchset and revisions)
- Fixes for spurious test-suite failures

* Tue Sep 18 2012 willb <willb@redhat> - 0.16.0-4
- Addresses issues uncovered while testing authentication support (incorporates the "arno" patchset)

* Thu Sep 6 2012 willb <willb@redhat> - 0.16.0-3
- Minor fixes to client library crashing bugs exposed by authorization support

* Wed Aug 15 2012 willb <willb@redhat> - 0.16.0-2
- Added default value for WALLABY_USERDB_NAME to supplied environment file
- Minor fixes to authorization issues uncovered in development

* Tue Aug 7 2012 willb <willb@redhat> - 0.16.0-1
- per-method authorization support for wallaby API methods
- API version bump to 20101031.6

* Thu Jun 28 2012 willb <willb@redhat> - 0.12.5-10
- fixes BZs 748507, 834141, 807820, and 835525 (all backports from 0.15.x)

* Tue Jun 26 2012 willb <willb@redhat> - 0.15.1-3
- fixes for some stealthier serialized-configuration type-sniffing bugs and attendant nasty crashes (BZ 835713)

* Thu Jun 21 2012 willb <willb@redhat> - 0.15.1-2
- fixes to skeleton group support for walk-in nodes
- more resilient Store#activateConfiguration in the face of event failure/workaround for QMF event problems on F17
- wallaby-agent no longer deletes potentially-spurious configurations by default

* Wed Jun 20 2012 willb <willb@redhat> - 0.15.1-1
- fixes bz 834141
- packaging improvements
- base-db documenter improvements from upstream (internal only; not packaged)

* Wed Jun 13 2012 willb <willb@redhat> - 0.15.0-1
- sensible/unified treatment of skeleton group and default group

* Thu May 31 2012 willb <willb@redhat> - 0.14.3-1
- fixes bz 748507

* Thu May 10 2012 willb <willb@redhat> - 0.14.2-2
- fixes a trivial crashing bug that sneaked in to the prior package

* Thu May 10 2012 willb <willb@redhat> - 0.14.2-1
- packaging improvements:  ruby-wallaby now creates the wallaby user, and it does so with a proper UID on F17+ and EL6+
- base db documentation generator (non-end-user visible)
- shell support for inspecting node configs (non-end-user visible for now, but used by ruby implementations of ccs/ccp; BZ820419)

* Thu Apr 19 2012 willb <willb@redhat> - 0.14.1-1
- preliminary tool support for annotations
- affectedEntities and affectedNodes methods on Store objects
- API minor version bump; API is now 20101031.5

* Mon Apr 16 2012 willb <willb@redhat> - 0.14.0-1
- "annotation" property and "setAnnotation" method on snapshots and all configuration entities
- API minor version bump

* Mon Mar 26 2012 willb <willb@redhat> - 0.13.1-2
- F17 fixes

* Fri Mar 9 2012 willb <willb@redhat> - 0.13.1-1
- Fixes BZs 786801 and 796406
- specfile updates from Fedora work

* Fri Feb 10 2012 willb <willb@redhat> - 0.13.0-2
- specfile fixes

* Fri Feb 10 2012 willb <willb@redhat> - 0.13.0-1
- conditional assignment of parameter values ("?=" operator)
- fix for bz 748507
- compatibility with Ruby 1.9

* Fri Feb 10 2012 Vít Ondruch <vondruch@redhat.com> - 0.12.4-3
- Rebuilt for Ruby 1.9.3.

* Wed Jan 18 2012 willb <willb@redhat> - 0.12.5-2
- minor usability fixes to "wallaby inventory -c"
- fix for bz 782816

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan 10 2012 willb <willb@redhat> - 0.12.5-1
- the Wallaby shell no longer a priori rejects certain valid SASL authentication mechanisms

* Fri Dec 9 2011 willb <willb@redhat> - 0.12.4-1
- fixes for minor tool problems that came up in 0.12 development

* Wed Nov 23 2011 willb <willb@redhat> - 0.12.3-1
- fix for bz 756402

* Mon Nov 21 2011 willb <willb@redhat> - 0.12.2-1
- fixed broken dependencies for wallaby-utils
- vc-export shell command

* Fri Oct 14 2011 willb <willb@redhat> - 0.12.1-1
- minor bug fixes in wallaby shell commands

* Fri Oct 14 2011 rrati <rrati@redhat> - 0.12.0-1
- improvements to wallaby shell commands
- packaging workflow improvements

* Thu Oct 13 2011 willb <willb@redhat> - 0.11.0-4
- fixed conditionalized skeleton group support (broken since 0.10.9-1)
- packaging workflow improvements

* Tue Oct 11 2011 willb <willb@redhat> - 0.11.0-3
- minor packaging fixes

* Fri Oct 7 2011 willb <willb@redhat> - 0.11.0-2
- client library now throws exceptions for agent errors
- packaging fixes

* Thu Oct 6 2011 willb <willb@redhat> - 0.10.9-1
- wallaby-python package renamed
- skeleton group support only if explicitly enabled

* Sat Oct 1 2011 rrati <rrati@redhat> - 0.10.8-1
- Many new wallaby shell commands for creating and updating entities

* Fri Sep 30 2011 willb <willb@redhat> - 0.10.7-1
- Feature-complete database patching tool (thanks to rrati)

* Wed Sep 21 2011 willb <willb@redhat> - 0.10.6-1
- Packaging fixes

* Tue Sep 20 2011 willb <willb@redhat> - 0.10.5-8
- Packaging fixes

* Mon Sep 12 2011 willb <willb@redhat> - 0.10.5-7
- Python client now packaged
- Logrotate configuration now included
- Other packaging improvements

* Mon Jun 6 2011 willb <willb@redhat> - 0.10.5-6
- Mode, ownership, and timestamps now preserved for installed files

* Thu Apr 28 2011 willb <willb@redhat> - 0.10.5-5
- Preinstall script fixes

* Tue Apr 26 2011 willb <willb@redhat> - 0.10.5-4
- Fixes BZs:  673520, 692911

* Thu Mar 31 2011 willb <willb@redhat> - 0.10.5-3
- Changes to default broker authentication

* Wed Mar 30 2011 willb <willb@redhat> - 0.10.5-2
- Minor cleanups to Ruby client library
- "wallaby" and shell commands now understand "-v"

* Fri Feb 4 2011 willb <willb@redhat> - 0.10.5
- Fixes BZ 675324

* Fri Jan 28 2011 willb <willb@redhat> - 0.10.4-3
- Fixes BZs 635628 (was bounced), 673502

* Thu Jan 27 2011 willb <willb@redhat> - 0.10.4-2
- Fixes BZs 668798, 668799

* Tue Jan 25 2011 willb <willb@redhat> - 0.10.4-1
- Fixes BZ 669829
- Automatic cleanup for spuriously-generated versioned snapshots

* Fri Jan 21 2011 willb <willb@redhat> - 0.10.3-1
- Added "wallaby sanitize" shell command (for ease of submitting bug reports)
- Fixes for "wallaby new-command" code generation
- Fixes BZ 671185

* Tue Jan 11 2011 willb <willb@redhat> - 0.10.2-1
- Fixes a small regression introduced in 0.10.1

* Tue Jan 11 2011 willb <willb@redhat> - 0.10.1-1
- Fixes BZs 668459, 668797, 668798, 668799, 668800, 668802, 668803.

* Thu Dec 23 2010 willb <willb@redhat> - 0.10.0-2
- Fix for a stray SQLite 3.3 incompatibility

* Tue Dec 14 2010 willb <willb@redhat> - 0.10.0-1
- verification for BZs 654810, 654813
- minor contract change:  Parameter#setMustChange will fail if the parameter has a default value unless WALLABY_PERMISSIVE_PARAMETERS is set
- optimizations to config validation (~7% faster in test suite)
- fixes BZ 660509
- config client objects now support to_hash and to_yaml methods
- new api methods and properties
- wallaby shell support for feature CRUD operations

* Sat Dec 4 2010 willb <willb@redhat> - 0.9.24-1
- fixes BZ 657055

* Thu Oct 21 2010 willb <willb@redhat> - 0.9.23-1
- "wallaby new-command" shell command
- improved exception handling in shell commands
- fixes for user-local commands
- fixed BZ 635628

* Wed Oct 20 2010 willb <willb@redhat> - 0.9.22-1
- re-implemented timestamp; removed rhubarb dependency from wallaby shell commands

* Wed Oct 20 2010 willb <willb@redhat> - 0.9.21-1
- Fixes for many shell-related BZs, including 635975, 636161, 636172, 636175, 636177, 636179, 636568, 636569, 636577, 636580.
- First pass at a public shell-command API (see skel.rb for an example); this should be finalized in 0.10.x
- "wallaby help" shell command
- Various refactorings.

* Fri Oct 15 2010 willb <willb@redhat> - 0.9.20-1
- Parameter names are now case-preserving but case-insensitive, viz., adding "fooBar" and searching for "FOOBAR" will get you "fooBar"
- 'wallaby http-server' improvements:  runs as daemon (and optionally as a different user); changes-to and help routes

* Thu Oct 14 2010 willb <willb@redhat> - 0.9.19-1
- More flexible support for user-local wallaby shell commands (no public API yet, though)
- 'wallaby explain' shell command
- 'wallaby http-server' shell command and package (Fedora only; requires Sinatra)

* Fri Sep 17 2010 willb <willb@redhat> - 0.9.18-2
- package upgrades should uninstall and reinstall the wallaby initscript in the appropriate runlevels

* Fri Sep 17 2010 willb <willb@redhat> - 0.9.18-1
- fix for BZ 634641

* Thu Sep 16 2010 willb <willb@redhat> - 0.9.17-1
- fix for BZ 634625

* Thu Sep 16 2010 willb <willb@redhat> - 0.9.16-2
- fixed missing RPM dependency on ruby-irb

* Wed Sep 15 2010 willb <willb@redhat> - 0.9.16-1
- fixed missing include in wallaby inventory

* Wed Sep 15 2010 willb <willb@redhat> - 0.9.15-2
- fixed performance regression in querying groups
- bumped API version number to final (1.0) version
- fixes for relationship-maintenance issues uncovered in 0.9.8

* Fri Sep 10 2010 willb <willb@redhat> - 0.9.8-1
- Dramatic performance enhancements in activateConfiguration (> 10x in medium-size configurations; > 21x in large configurations)
- wallaby console tool

* Wed Sep 1 2010 willb <willb@redhat> - 0.9.7-1
- Improved wallaby-shell functionality
- Removed old-style command-line tools

* Wed Aug 25 2010 willb <willb@redhat> - 0.9.6-1
- Improved reliability of command-line tools
- Workarounds for BZS 612425, 613666

* Tue Aug 17 2010 willb <willb@redhat> - 0.9.5-1
- Updated to source version 0.9.5
- Improved memory performance of proactive inconsistency detection

* Mon Aug 16 2010 willb <willb@redhat> - 0.9.4-1
- Updated to source version 0.9.4

* Mon Aug 16 2010 willb <willb@redhat> - 0.9.3-1
- Updated to source version 0.9.3

* Tue Aug 3 2010 willb <willb@redhat> - 0.9.2-1
- Updated to source version 0.9.2

* Tue Aug 3 2010 willb <willb@redhat> - 0.9.1-1
- Updated to source version 0.9.1

* Mon Aug 2 2010 willb <willb@redhat> - 0.9.0-1
- Updated to source version 0.9.0

* Tue Jul 27 2010 willb <willb@redhat> - 0.6.3-1
- Updated to source version 0.6.3

* Fri Jun 25 2010 willb <willb@redhat> - 0.6.2-1
- Updated to source version 0.6.2

* Fri Jun 25 2010 rrati <rrati@redhat> - 0.6.1-2
- Packaging fixes

* Fri Jun 25 2010 rrati <rrati@redhat> - 0.6.1-1
- Updated to source version 0.6.1

* Wed Jun 23 2010 willb <willb@redhat> - 0.6.0-1
- Updated to source version 0.6.0
- Init script fixes

* Fri Jun 11 2010 willb <willb@redhat> - 0.5.1-1
- Updated to source version 0.5.1

* Fri Jun 11 2010 willb <willb@redhat> - 0.5.0-1
- Updated to source version 0.5.0

* Thu Jun 10 2010 willb <willb@redhat> - 0.4.2-1
- Updated to source version 0.4.2

* Thu Jun 10 2010 willb <willb@redhat> - 0.4.1-1
- Updated to source version 0.4.1

* Thu Jun 10 2010 willb <willb@redhat> - 0.4.0-1
- Updated to source version 0.4.0

* Wed May 26 2010 willb <willb@redhat> - 0.3.5-2
- Packaging and initscript fixes

* Fri May 21 2010 willb <willb@redhat> - 0.3.5-1
- Updated to source version 0.3.5

* Tue Apr 20 2010 willb <willb@redhat> - 0.3.2-1
- Updated to source version 0.3.2

* Mon Apr 12 2010 willb <willb@redhat> - 0.3.1-1
- Updated to source version 0.3.1

* Fri Apr 9 2010 willb <willb@redhat> - 0.3.0-1
- Updated to source version 0.3.0

* Tue Mar 30 2010 willb <willb@redhat> - 0.2.12-1
- Updated to source version 0.2.12

* Thu Mar 25 2010 willb <willb@redhat> - 0.2.11-1
- Updated to source version 0.2.11

* Tue Mar 9 2010 willb <willb@redhat> - 0.2.10-1
- Updated to source version 0.2.10

* Fri Mar 5 2010 willb <willb@redhat> - 0.2.9-1
- Updated to source version 0.2.9

* Thu Mar 4 2010 willb <willb@redhat> - 0.2.8-1.0
- Updated to source version 0.2.8

* Fri Feb 27 2010 willb <willb@redhat> - 0.2.7-1.0
- Updated to source version 0.2.7

* Thu Feb 26 2010 willb <willb@redhat> - 0.2.6-1.0
- Updated to source version 0.2.6

* Wed Feb 25 2010 willb <willb@redhat> - 0.2.5-1.0
- Updated to source version 0.2.5

* Wed Feb 25 2010 willb <willb@redhat> - 0.2.4-1.0
- Updated to source version 0.2.4

* Tue Feb 23 2010 willb <willb@redhat> - 0.2.3-1.0
- Updated to source version 0.2.3

* Tue Feb 23 2010 rrati <rrati@redhat> - 0.2.2-1.0
- Updated to source version 0.2.2

* Tue Feb 23 2010 rrati <rrati@redhat> - 0.2.1-1.0
- Updated to source version 0.2.1

* Fri Feb 19 2010 willb <willb@redhat> - 0.2.0-1.0
- Event functionality
- Configuration activation
- wallaby-activate tool

* Wed Feb 10 2010 rrati <rrati@redhat> - 0.1.0-0.1
- Initial package

